Skip to main content
GET
/
api
/
mexico-payroll
/
taxes
Get all taxes for Mexico
curl --request GET \
  --url https://api.staging.fluxpayroll.ai/api/mexico-payroll/taxes \
  --header 'x-api-key: <api-key>'
[
  {
    "key": "MX_ISR",
    "name": "Impuesto Sobre la Renta",
    "description": "Impuesto sobre la renta para empleados",
    "paidBy": "EMPLOYEE",
    "jurisdiction": {
      "key": "MX",
      "name": "Mexico"
    },
    "levyingAgency": {
      "key": "MX_SAT",
      "name": "Servicio de Administración Tributaria"
    },
    "collectionAgency": {
      "key": "MX_SAT",
      "name": "Servicio de Administración Tributaria"
    },
    "levyingFrequency": "MONTHLY",
    "depositFrequency": "MONTHLY",
    "reportingCode": "001"
  }
]

Authorizations

x-api-key
string
header
required

Query Parameters

locale
enum<string>

Locale for translated names and descriptions. Defaults to Spanish (es-MX) if not specified.

Available options:
es-MX,
en-US,
en-MX

Response

List of taxes retrieved successfully

key
string
required

Unique tax/contribution key

Example:

"MX_ISR"

name
string
required

Display name of the tax (localized if locale is specified)

Example:

"Impuesto Sobre la Renta"

description
string
required

Detailed description (localized if locale is specified)

Example:

"Impuesto sobre la renta para empleados"

paidBy
enum<string>
required

Who is responsible for paying this tax/contribution

Available options:
EMPLOYEE,
EMPLOYER
Example:

"EMPLOYEE"

jurisdiction
object
required
levyingAgency
object
required
collectionAgency
object
required
levyingFrequency
enum<string>
required

How frequently this tax is levied

Available options:
DAILY,
WEEKLY,
BIWEEKLY,
SEMI_MONTHLY,
MONTHLY,
BIMONTHLY,
QUARTERLY,
SEMI_ANNUALLY,
ANNUALLY
Example:

"MONTHLY"

depositFrequency
enum<string>
required

How frequently this tax must be deposited

Available options:
DAILY,
WEEKLY,
BIWEEKLY,
SEMI_MONTHLY,
MONTHLY,
BIMONTHLY,
QUARTERLY,
SEMI_ANNUALLY,
ANNUALLY
Example:

"MONTHLY"

reportingCode
string

Reporting code for this tax

Example:

"001"